function [VERT_F,EDGE_F] = addering(VERT,EDGE,which);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% FEMBIF = < Finite Element Methods for Bifurcation >
%% Copyright (C) 1998  Michael Holst
%%
%% This program is free software; you can redistribute it and/or modify it
%% under the terms of the GNU General Public License as published by the Free
%% Software Foundation; either version 2 of the License, or (at your option)
%% any later version.
%%
%% This program is distributed in the hope that it will be useful, but WITHOUT
%% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
%% FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
%% more details.
%%
%% You should have received a copy of the GNU General Public License along
%% with this program; if not, write to the Free Software Foundation, Inc.,
%% 675 Mass Ave, Cambridge, MA 02139, USA.
%%
%% Typing "help 0license" should list the GNU GPL to the screen.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Prototype:
%
%    [VERT_F,EDGE_F] = addering(VERT,EDGE,which);
%
% Purpose:
%
%    Add an edge to the edge rings associated with each vertex.
%
% Input:
%
%    which  = the edge number to add to rings
%    VERT   = <see "mesh.m" for description of the datastructure>
%    EDGE   = <see "mesh.m" for description of the datastructure>
%    
% Output:
%
%    VERT_F = list of vertices in the mesh with the new ring info
%    EDGE_F = list of edges in the mesh with the new ring info
%
% Author:   Michael Holst 060898
%

%%% add the "which" edge to the two rings

   for i=1:2
      oldFirstE = VERT( EDGE(which,i) , 8 );
      VERT( EDGE(which,i) , 8 ) = which;
      EDGE(which,i+6) = oldFirstE;
   end

%%% return the results

   VERT_F = VERT;
   EDGE_F = EDGE;

